var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to2, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to2, key) && key !== except)
        __defProp(to2, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to2;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/server/downLoadGitRepo.ts
var downLoadGitRepo_exports = {};
__export(downLoadGitRepo_exports, {
  default: () => downLoadGitRepo_default
});
module.exports = __toCommonJS(downLoadGitRepo_exports);
var import_node_util = require("node:util");
var import_download_git_repo = __toESM(require("download-git-repo"));
var import_await_to_js = __toESM(require("await-to-js"));
var import_consola = require("consola");
var download = (0, import_node_util.promisify)(import_download_git_repo.default);
var downLoadGitRepo_default = (user) => {
  return async (targetProject, outPath) => {
    const [err] = await (0, import_await_to_js.default)(download(`${user}/${targetProject}#main`, outPath));
    if (err)
      import_consola.consola.error("download error", err);
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
