interface RepoType {
    id: number;
    name: string;
    private: boolean;
    description?: string;
    [k: string]: unknown;
}
export declare function getAllRepoList(user: string): Promise<RepoType[]>;
export declare function getAllRepoNameList(user: string): Promise<{
    name: string;
    description: string;
}[]>;
export declare function getAppointRepoName(user: string): (match: string[]) => Promise<{
    name: string;
    description: string;
}[]>;
export {};
